commons-daemon (1.0.15-5) unstable; urgency=medium

  * Another attempt to support Hurd

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2014 00:21:08 +0100

commons-daemon (1.0.15-4) unstable; urgency=medium

  * Added a patch defining the PATH_MAX constant to compile on Hurd
  * Revert to Java 5 source/target level
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Jan 2014 16:31:01 +0100

commons-daemon (1.0.15-3) unstable; urgency=low

  * Use canonical URLs for the Vcs-* fields
  * Generate Java 6 compatible bytecode
  * debian/rules: Improved the clean target to allow rebuilds
  * Restored the patch for s390x support

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Oct 2013 13:47:39 +0200

commons-daemon (1.0.15-2) unstable; urgency=low

  * Team upload.
  * d/control: Update Vcs-Svn URL.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Apr 2013 22:41:23 -0700

commons-daemon (1.0.15-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Removed the patches merged upstream
  * d/control: Bump Standards-Version to 3.9.4: no changes needed.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Apr 2013 10:17:55 +0200

commons-daemon (1.0.10-3) unstable; urgency=low

  * Team upload.
  * Add patch to allow dlopen to locate libcap. (Closes: #685025)

 -- tony mancill <tmancill@debian.org>  Wed, 15 Aug 2012 22:45:51 -0700

commons-daemon (1.0.10-2) unstable; urgency=low

  * d/control: Really drop Michael from Uploaders list.
  * d/rules: Run autoconf before configure (because patches are applied
    to apsupport.m4).
  * d/control: Wrap-and-sort fields. 

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Mar 2012 22:07:21 +0100

commons-daemon (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/rules: Enable hardening build with dpkg-buildflags.
  * d/rules: Remove old code to workaround bug in debhelper.
  * Fix "Updating the commons-daemon Uploaders list" Remove Michael Koch
    from Uploaders list (Closes: #654006). Thanks Michael!
  * d/copyright: Use copyright-format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Mar 2012 19:37:23 +0100

commons-daemon (1.0.8-1) unstable; urgency=low

  * New upstream release:
    - Refresh all patches.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 24 Nov 2011 19:29:26 +0100

commons-daemon (1.0.7-2) unstable; urgency=low

  * Add support for s390x. Closes: #638907.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 22 Aug 2011 23:07:18 +0200

commons-daemon (1.0.7-1) unstable; urgency=high

  * New upstream security release.
  * Fix CVE-2011-2729 (jsvc does not drop
    capabilities allowing the application to access files and directories
    owned by superuser).

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 12 Aug 2011 19:36:58 +0200

commons-daemon (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * d/control: Move Depends default-jre-headless | java2-runtime-headless from
    libcommons-daemon-java to jsvc package Recommends.
  * d/copyright: Use DEP-5 format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 10 Jul 2011 22:06:40 +0200

commons-daemon (1.0.5-2) unstable; urgency=low

  * Publish commons daemon JAR into /usr/share/maven-repo.
  * d/control: Bump Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 13 Jun 2011 19:25:17 +0200

commons-daemon (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 05 Jan 2011 22:01:53 +0100

commons-daemon (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - d/patches/syslog.diff: merged upstream.
    - d/patches/jsvc_reopen_usr1.diff: merged upstream.
    - d/patches/hurd_support.diff: use "gnu" instead of "hurd".

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Nov 2010 18:05:41 +0100

commons-daemon (1.0.3-2) UNRELEASED; urgency=low

  * d/patches/jsvc_reopen_usr1.diff:
    Make jsvc reopen log files on SIGUSR1 (Closes: #460183).

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 31 Aug 2010 00:26:47 +0200

commons-daemon (1.0.3-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/old_capabilities.diff: merged upstream.
    - no more prebuilt ELF objects in source tarball.
  * d/pacthes/syslog.diff: Updated to keep timestamp when SYSLOG support
    is not enabled.
  * d/patches/hurd_support.diff: tentative support for GNU/Hurd OS.
  * d/control: B-D on libcap-dev for all Linux OS.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 05 Aug 2010 18:00:06 +0200

commons-daemon (1.0.2-2) unstable; urgency=low

  * Re-add missing patches (lost during merge of new upstream release):
    - debian/patches/syslog.diff: Support for logging to syslog.
    - debian/patches/old_capabilities.diff: Work with older Linux capabilities.
    - debian/patches/libgcj_PR31700.diff: Bug in GCJ handling of -X options.
    - debian/patches/*_support.diff: Support for other Debian architectures.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Jul 2010 14:59:18 +0200

commons-daemon (1.0.2-1) unstable; urgency=low

  [ Thierry Carrez ]
  * debian/control, debian/rules: Build with default-jdk
  * debian/rules: Depend on -headless runtimes
  * debian/rules: Set java source/target to 1.4 to match depends

  [ Torsten Werner ]
  * Re-add changes made by Emmanuel Bourg:
    - Update of the URLs
    - Rename Jakarta Commons to Apache Commons

  [ Damien Raude-Morvan ]
  * New upstream stable release (Closes: #578661).
    - d/watch: Update URL for new upstream release.
  * d/patches/sh4-support.diff: Add support for sh4 arch (Closes: #564166).
  * d/control: Remove Arnaud and add myself from Uploaders.
  * Updated to Standards-Version 3.9.1:
    - d/control: Add recommended get-orig-source target.
  * d/control: Add ${misc:Depends} to Depends.
  * Switch to 3.0 (quilt) format.
  * Use Debhelper 7:
    - d/rules: Use dh 7 and cleanup our rules file.
    - d/*.dirs: Removed not needed anymore.
  * d/libcommons-daemon-java.doc-base and d/rules: Install API Javadoc to
    /usr/share/doc/libcommons-daemon-java/api.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 27 Jul 2010 21:39:41 +0200

commons-daemon (1.0.2~svn20061127-10) unstable; urgency=low

  * Build-Depends on libcap2-dev (Closes: #506548).
  * Added kfreebsd-* support to src/native/unix/support/apsupport.m4
    (Closes: #498376).
  * Point stdout and stderr to /dev/null for the daemon process
    (Closes: #491500, #507968).
  * Build-Depends on debhelper >= 7.
  * Replace dh_clean -k with dh_prep.
  * Moved package to section 'java'.
  * Rewrote debian/copyright to refer to
    /usr/share/common-licenses/Apache-2.0.
  * Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 17 Sep 2009 22:54:55 +0200

commons-daemon (1.0.2~svn20061127-9) unstable; urgency=low

  * Added patch to handle old capabilities version in jsvc-unix.c.
    Closes: #412690

 -- Michael Koch <konqueror@gmx.de>  Wed, 07 May 2008 20:03:55 +0200

commons-daemon (1.0.2~svn20061127-8) unstable; urgency=low

  * Clean src/native/unix/configure. Closes: #478503
  * Put jsvc into section utils.

 -- Michael Koch <konqueror@gmx.de>  Wed, 30 Apr 2008 05:12:17 -0100

commons-daemon (1.0.2~svn20061127-7) unstable; urgency=low

  * Updated watch file.
  * Updated Standards-Version to 3.7.3.
  * Remove bashism in debian/rules. (Closes: #478365).
  * Build-Depend on default-jdk-builddep. (Closes: #477853).
  * Renamed XS-Vcs-* fields to Vcs-*.
  * Added Homepage field.

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 04:40:33 -0100

commons-daemon (1.0.2~svn20061127-6) unstable; urgency=low

  * Applied a workaround for a JNI bug in libgcj (see
    http://gcc.gnu.org/PR31700).

 -- Marcus Better <marcus@better.se>  Wed, 25 Apr 2007 15:11:01 +0200

commons-daemon (1.0.2~svn20061127-5) unstable; urgency=low

  * jsvc can now redirect daemon output to syslog. (Closes: #402878)
  * Added support for the ppc64 architecture. Thanks to Andreas
    Jochens. (Closes: #404704)
  * Print a useful error message if the capabilities module is
    missing. Thanks to Adrian Bridgett. (Closes: #412478)
  * Don't use included config.sub and config.guess.

 -- Marcus Better <marcus@better.se>  Wed, 13 Dec 2006 15:09:58 +0100

commons-daemon (1.0.2~svn20061127-4) unstable; urgency=low

  * Apparently buildds don't grok Build-Depends-Indep. Moved to
    Build-Depends as a workaround.

 -- Marcus Better <marcus@better.se>  Mon,  4 Dec 2006 14:29:08 +0100

commons-daemon (1.0.2~svn20061127-3) unstable; urgency=low

  * Build-depend on java-gcj-compat-dev instead of Build-depend-indep.

 -- Marcus Better <marcus@better.se>  Mon,  4 Dec 2006 12:50:35 +0100

commons-daemon (1.0.2~svn20061127-2) unstable; urgency=low

  * Build-depend on autoconf instead of Build-depend-indep.

 -- Marcus Better <marcus@better.se>  Thu, 30 Nov 2006 09:39:54 +0100

commons-daemon (1.0.2~svn20061127-1) unstable; urgency=low

  * Support the arm, hppa, ia64, m68k, mipsel, and s390
    architectures. (Closes: #307853)
  * Don't include irrelevant README. (Closes: #394169)
  * The jsvc-dev package is no longer built as it's not useful.
  * debian/control:
    - Fix build deps: remove libxerces2-java and libjaxp1.2-java, add autoconf
      and docbook-to-man.
    - Clean up package descriptions.
  * debian/rules:
    - Get rid of CDBS.
    - Pass correct host options to autoconf.

 -- Marcus Better <marcus@better.se>  Tue, 28 Nov 2006 13:49:20 +0100

commons-daemon (1.0.1-3) unstable; urgency=low

  * Apply a patch to support ppc64 arch, thanks to Andreas Jochens
    (closes: #361831)

 -- Arnaud Vandyck <avdyk@debian.org>  Mon,  3 Jul 2006 11:04:55 +0200

commons-daemon (1.0.1-2) unstable; urgency=low

  * (Builds-)Depends on java-gcj-compat(-dev) instead of kaffe(-dev)
    (Closes: #358343).
  * Update Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Sat,  1 Jul 2006 15:56:17 +0000

commons-daemon (1.0.1-1) unstable; urgency=low

  * New upstream release
    + updated manpage for new options
    + amd64 now supported 
      (I will leave 307853 open until all debian platforms are supported)
  * Patch from upstream CVS to fix invalid execve() usage (closes: #314937)
  * libant1.6-java to ant transition (closes: #326436)
  * Added autotools-dev to let cdbs update the config.guess/sub
  * Standards-Version 3.6.2 (no changes)

  * Upload sponsored by XXX

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 10 Sep 2005 17:45:46 +0200 

commons-daemon (1.0-5) unstable; urgency=low

  * upload with the sources.
  * Build with free tools now, therefore buildable on all 
    architectures and a jsvc binary should be provided (closes: #286871)
  * Move to main as built with free tools
  * Shortened and clarified description (closes: #279752)  

 -- Arnaud Vandyck <avdyk@debian.org>  Sun, 10 Apr 2005 23:31:38 +0200

commons-daemon (1.0-4) unstable; urgency=low

  * Build with free tools now, therefore buildable on all 
    architectures and a jsvc binary should be provided (closes: #286871)
  * Moved configure/build of jsvc binary from install/jsvc target to the
    common-configure-arch and common-build-arch targets
  * Move to main as built with free tools
  * Shortened and clarified description (closes: #279752)  
  * Build javadoc api and include daemons.html into documentation
    (Removed patch 01_dist_without_javadoc.patch)
  * avdyk: added Wolfgang to the uploaders
  
 -- Wolfgang Baer <WBaer@gmx.de>  Fri, 12 Nov 2004 17:48:04 +0100

commons-daemon (1.0-3) unstable; urgency=low

  * changed build-dep-indep to build-dep (closes: #280933).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:48:04 +0100

commons-daemon (1.0-2) unstable; urgency=low

  * improved description for jsvc-dev.

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 29 Oct 2004 11:57:53 +0200

commons-daemon (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Arnaud Vandyck <avdyk@debian.org>  Sat,  9 Oct 2004 17:51:44 +0200

